module Devpad
  module API
    class Account < OpenStruct
      def self.all
        @response = Devpad::API::Client.get('/accounts')
        @response['data'].map do |item|
          new(item['attributes'].merge('id' => item['id']))
        end
      end

      class User < OpenStruct
        def self.all
          @response = Devpad::API::Client.get("/accounts/#{Devpad::Account.current!}/users")
          @response['data'].map do |item|
            new(item['attributes'].merge('id' => item['id']))
          end
        end
      end
    end
  end
end
