module Devpad
  module CLI
    class Account < Thor
      desc 'current', 'Display a current account'
      def current
        Devpad::CLI::Commands::Account::Current.new(shell: shell).execute
      end

      desc 'select', 'Set a current account'
      def select
        Devpad::CLI::Commands::Account::Select.new(shell: shell).execute
      end

      desc 'list', 'List of available accounts'
      def list
        Devpad::CLI::Commands::Account::List.new(shell: shell).execute
      end

      desc 'users', 'List of current account users'
      def users
        Devpad::CLI::Commands::Account::Users.new(shell: shell).execute
      end
    end
  end
end
