module Devpad
  module CLI
    module Commands
      module Account
        class List
          def initialize(shell:)
            @shell = shell
          end

          def execute
            rows = Devpad::API::Account.all.each_with_index.map do |account, index|
              [index + 1, account.name, account.subdomain]
            end
            @shell.print_table rows
          end
        end
      end
    end
  end
end
