module Devpad
  module CLI
    module Commands
      module Language
        class List
          def initialize(shell:)
            @shell = shell
          end

          def execute
            rows = Devpad::API::Language.all.each_with_index.map do |language|
              [language.id, language.name, language.color]
            end
            @shell.print_table rows
          end
        end
      end
    end
  end
end
