module Devpad
  module CLI
    module Commands
      module Repository
        class Download
          def initialize(shell:)
            @shell = shell
          end

          def execute(params = {})
            params[:format] ||= 'zip'
            params[:sha] ||= 'master'
            params[:to] ||= "#{Dir.pwd}/#{params[:sha]}.#{params[:format]}"
            Devpad::API::Repository.download(params)
            @shell.say "Successfully downloaded."
          end
        end
      end
    end
  end
end
