module Devpad
  module CLI
    module Commands
      module Repository
        class Protect
          def initialize(shell:)
            @shell = shell
          end

          def execute(params = {})
            repository = Devpad::API::Repository.protect(params)
            @shell.say repository.token
          end
        end
      end
    end
  end
end
