module Devpad
  class Configuration
    VALID_CLIENT_ATTRIBUTES = [:endpoint, :api_version, :api_format, :user_agent, :user_api_key]

    attr_accessor :user_api_key, :user_agent, :endpoint, :api_version

    def self.instance
      @configuration ||= Devpad::Configuration.new
    end

    def self.configure
      yield(instance)
    end
  end
end
