module Devpad
  class User
    def self.load!
      FileUtils.mkdir_p("#{Dir.home}/.devpad")
      if File.exist?("#{Dir.home}/.devpad/user")
        self.auth_token = File.read("#{Dir.home}/.devpad/user")
      end
    end

    def self.save!
      FileUtils.mkdir_p("#{Dir.home}/.devpad")

      File.open("#{Dir.home}/.devpad/user", 'w') do |f|
        f.write(self.auth_token)
      end
    end

    def self.auth_token
      @auth_token
    end

    def self.auth_token=(cur)
      @auth_token = cur
    end
  end
end