module Devpad
  module API
    class Image < OpenStruct
      def self.create(params = {})
        @response = Devpad::API::Client.post("/accounts/#{Devpad::Account.current!}/images", params)
        item = @response['data']
        new(item['attributes'].merge('id' => item['id'], 'ssh_url' => item.dig('relationships', 'hub_image', 'data', 'attributes', 'ssh_url')))
      end
    end
  end
end
