module Devpad
  module CLI
    module Commands
      module Account
        class Users
          def initialize(shell:)
            @shell = shell
          end

          def execute
            rows = Devpad::API::Account::User.all.each_with_index.map do |user, index|
              [index + 1, user.name, user.role]
            end
            @shell.print_table rows
          end
        end
      end
    end
  end
end
