module Devpad
  module CLI
    module Commands
      module Repository
        autoload :List, 'devpad/cli/commands/repository/list.rb'
        autoload :Create, 'devpad/cli/commands/repository/create.rb'
        autoload :Clone, 'devpad/cli/commands/repository/clone.rb'
        autoload :Close, 'devpad/cli/commands/repository/close.rb'
        autoload :User, 'devpad/cli/commands/repository/user.rb'
        autoload :Link, 'devpad/cli/commands/repository/link.rb'
        autoload :Invitation, 'devpad/cli/commands/repository/invitation.rb'
        autoload :Protect, 'devpad/cli/commands/repository/protect.rb'
        autoload :Unprotect, 'devpad/cli/commands/repository/unprotect.rb'
        autoload :Download, 'devpad/cli/commands/repository/download.rb'
        autoload :Branch, 'devpad/cli/commands/repository/branch.rb'
        autoload :Commit, 'devpad/cli/commands/repository/commit.rb'
      end
    end
  end
end
