module Devpad
  module CLI
    module Commands
      module Review
        class Invitation
          def initialize(shell:)
            @shell = shell
          end

          def execute(params = {})
            invitation = Devpad::API::Review::Invitation.create(params)
            @shell.say "Invitation sent to #{invitation.name} <#{invitation.email}>"
          end
        end
      end
    end
  end
end
